Subject: [MAILER-DAEMON: Returned mail: Host unknown]

From: Guy Steele <[email-masked]>
Date: Fri, 30 Apr 93 11:45:07 EDT

Date: Fri, 30 Apr 93 11:38:25 -0400
From: Mail Delivery Subsystem <MAILER-DAEMON>
Subject: Returned mail: Host unknown
To: <gls>

   ----- Transcript of session follows -----
550 <[email-masked]>... Host unknown

   ----- Unsent message follows -----
From: Guy Steele <[email-masked]>
Date: Fri, 30 Apr 93 11:38:27 EDT
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked]
Subject: Shouldn't mapping inquiry subroutines be functions?

   Date: Fri, 30 Apr 93 16:15 GMT0BST-1
   From: Glossa <[email-masked]>

   In-Reply-To: <[email-masked]>
   Its a great thing to have a fast timetable for deciding on
   the main issues in a language design BUT it is never too late
   to get things right for usability. John's pointing this out at this 
   stage shows just how superficial the review has been 
   because of the haste.  This cannot be a major change for implementors 
    - hence the choice should be made on whether 
   the facilities for declaration are adequate or not. 

   Personally I thought that Chap 3 was apalling in a public document
   but as I didn't have time to do a detailed review I did nothing.
   I wonder how many other people did the same?  

But last-minute pot-shots are not helpful either.

It is not too late.  *Please* tell me what you find appalling.
If it is a matter of presentational style rather than technical
content, it is not too late to consider changes.

   A lot can be learned by reading Robin Milner's remarks on the 
   design of ML in this years ACM Turing lecture. 

Alas, I missed the lecture itself, and it will not be published
in time.  However, I can state unqeuivocally that Milner's
"A Proposal for Standard ML" (1984) was a model of clarity
and concision (I was responsible for having it published
in the proceedings of the 1984 ACM Lisp Conference) and I look
forward to reading his lecture.